# Please note that this is an experimental version of RubyMarkup.
# It currently supports very few tags and does not support attributes.
# For more information, please visit http://christianjr.github.io/rbml
class RubyMarkup
	# Initializes the document
	$document = "<!-- Generated by RubyMarkup -->\n<!DOCTYPE html>\n<html>\n"
	# All the head tags currently supported
	def self.head
		$document << "<head>\n"
		# Allows for child elements
		yield
		$document << "</head>\n"
	end
	def self.title(title)
		$document << "<title>#{title}</title>\n"
	end
	# All the body tags currently supported
	def self.body
		$document << "<body>\n"
		# Allows for child elements
		yield
		$document << "</body>\n"
	end
	def self.h1(h1)
		$document << "<h1>#{h1}</h1>\n"
	end
	def self.h2(h2)
		$document << "<h2>#{h2}</h2>\n"
	end
	def self.h3(h3)
		$document << "<h3>#{h3}</h3>\n"
	end
	def self.p(p)
		$document << "<p>#{p}</p>\n"
	end
	def self.ul
		$document << "<ul>\n"
		yield # for list elements
		$document << "</ul>\n"
	end
	def self.li(li)
		$document << "<li>#{li}</li>\n"
	end
	def self.button(button)
		$document << "<button>#{button}</button>\n"
	end
	# End of body tags
	# Basic javascript support
	def self.script
		$document << "<script>\n"
		yield
		$document << "</script>\n"
	end
	# Allows you to embed javascript as a string
	def self.embed(script)
		$document << "#{script}\n"
	end
	# Deploys it to the destination
	def self.deploy(file)
		$document << "</html>"
		puts "Deploying to #{file}..."
		File.open file, "w" do |file|
			file.write $document
		end
		puts "Successfully deployed to #{file}"
	end
end